local Hermes = _G['Hermes']

HermesLocalizationData = {
    de = {
        --General
        name = "Hermes",
        --Changelog
        changelog_title = "<<1>> Changelog",
        changelog_from = "v<<1>> von <<2>>",
        changelog_message = {
            "|cFFA500Hermes Version 1.1.4|r",
            "",
            "|cFFFF00Allgemein:|r",
            "[*] API Bump auf Version 42 - Gold Road",
            "",
        },
        --Settings
        show_teleport = "Teleport im Chat anzeigen",
        show_mail = "Neue Nachricht im Chat anzeigen",
        show_house = "Teleport zum Haupthaus im Chat anzeigen",
        show_changelog = "Changelog automatisch öffnen [Update]",
        button_changelog = "Changelog öffnen",
        show_endeavors = "Bestrebungen",
        end_progress = "Fortschritt anzeigen",
        end_location = "Anzeigeort",
        end_choice0 = "Chatfenster",
        end_choice1 ="Bildschirm",
        end_color1 = "Textfarbe (tägliche Bestrebungen)",
        end_color2 = "Textfarbe (wöchentliche Bestrebungen)",
        end_reward = "Belohnung in [] darstellen",
    },

    en = {
        --General
        name = "Hermes",
        --Changelog
        changelog_title = "<<1>> Changelog",
        changelog_from = "v<<1>> from <<2>>",
        changelog_message = {
            "|cFFA500Hermes Version 1.1.4|r",
            "",
            "|cFFFF00General:|r",
            "[*] API bump to version 42 - Gold Road",
            "",
        },
        --Settings
        show_teleport = "Show teleport in chat",
        show_mail = "Show new message in chat",
        show_house = "Show teleport to primary house in chat",
        show_changelog = "Open Changelog automatically [Update]",
        button_changelog = "Open Changelog",
        show_endeavors = "Endeavors",
        end_progress = "Show progress",
        end_location = "Location",
        end_choice0 = "Chat window",
        end_choice1 ="Screen",
        end_color1 = "Textcolor (daily Endeavors)",
        end_color2 = "Textcolor (weekly Endeavors)",
        end_reward = "Display reward in []",
    },
}

local function GetLocaleString(langId, langStr)
    if (HermesLocalizationData[langId] ~= nil) and (HermesLocalizationData[langId][langStr] ~= nil) then
        return HermesLocalizationData[langId][langStr]
    end

    return HermesLocalizationData["en"][langStr]
end

function Hermes.GetDefaultLocaleString(langStr)
    return GetLocaleString(GetCVar("language.2"), langStr)
end