local Hermes = _G['Hermes']

local function getEndeavorRewards(index)
    local reward = ""
    for rewardIndex = 1, GetNumTimedActivityRewards(index) do
        local rewardId, quantity = GetTimedActivityRewardInfo(index, rewardIndex)
        local rewardType = GetRewardType(rewardId)
        if rewardType == REWARD_ENTRY_TYPE_ADD_CURRENCY then
            local currencyType = GetAddCurrencyRewardInfo(rewardId)
            local currencyIcon = GetCurrencyLootKeyboardIcon(currencyType)
            reward = string.format("%s+%s |t15:15:%s|t", reward, quantity, currencyIcon)
        end
    end
    return reward
end

local function printEndeavorProgress(index, currentProgress)
    local name = GetTimedActivityName(index)
    local maxProgress = GetTimedActivityMaxProgress(index)
    local reward = getEndeavorRewards(index)
    local IconCheck = "|t15:15:/esoui/art/miscellaneous/check.dds|t"
    local Ccolor10 = "|c008000"
    local messageComplete = ""
    local color

    if GetTimedActivityType(index) == TIMED_ACTIVITY_TYPE_DAILY then
        color = Hermes.db.endeavorColorDaily
    else
        color = Hermes.db.endeavorColorWeekly
    end

    if Hermes.db.showEndeavorReward == false then
        if currentProgress == maxProgress then
            messageComplete = " " .. IconCheck .. reward
        end
    else
        if currentProgress == maxProgress then
            messageComplete = " " .. Ccolor10 .. "[" .. IconCheck .. reward .. "]"
        end
    end

    local message = color .. name .. " [" .. currentProgress .. "/" .. maxProgress .. "]" .. messageComplete .. "|r"

    if Hermes.db.locationEndeavorAlert == 0 then
        CHAT_ROUTER:AddSystemMessage(message)
    else
        ZO_Alert(UI_ALERT_CATEGORY_ALERT, nil, message)
    end
end

function Hermes.EndeavorsUpdate(_, index, _, currentProgress)
    if not Hermes.db.enableEndeavorAlert then
        return
    end


    Hermes.Debounce("EndeavorsUpdateHermes"..index, 500, function()
        printEndeavorProgress(index, currentProgress)

    end)
end